Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.WrappedListIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedListIterator

All Implemented Interfaces:
  `Iterator<E>`, `ListIterator<E>`

Direct Known Subclasses:
  `LazyList.AppendList.AppendListIterator`, `LazyList.InsertAtList.InsertAtListIterator`, `LazyList.PrependList.PrependListIterator`, `LazyList.UnionListIterator`, `LazyOrderedSet.AppendOrderedSet.AppendOrderedSetListIterator`, `LazyOrderedSet.ExcludingOrderedSet.ExcludingOrderedSetListIterator`, `LazyOrderedSet.InsertAtOrderedSet.InsertAtOrderedSetListIterator`, `LazyOrderedSet.PrependOrderedSet.PrependOrderedSetListIterator`

Enclosing class:
  `LazyCollection<E>`

public abstract class LazyCollection.WrappedListIterator extends LazyCollection.ReadOnlyListIterator<E>
Abstract `LazyCollection.ReadOnlyListIterator` that wraps around the underlying collection. Assumes the underlying collection is a `List`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ListIterator<E>`
`inner`

## Constructor Summary

Constructors
Constructor
Description
`WrappedListIterator()`
Creates a new `LazyCollection<E>.WrappedListIterator`.
`WrappedListIterator(int index)`
Creates a new `LazyCollection<E>.WrappedListIterator` starting at `index`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`boolean`
`hasPrevious()`
`E`
`next()`
`int`
`nextIndex()`
`E`
`previous()`
`int`
`previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

## Field Details

### inner

protected final ListIterator<E> inner

## Constructor Details

### WrappedListIterator

public WrappedListIterator()
Creates a new `LazyCollection<E>.WrappedListIterator`.

### WrappedListIterator

public WrappedListIterator(int index)
Creates a new `LazyCollection<E>.WrappedListIterator` starting at `index`.

Parameters:
  `index` - the iterator starting index of the underlying iterator.

## Method Details

### hasNext

public boolean hasNext()

### hasPrevious

public boolean hasPrevious()

### next

public E next()

### nextIndex

public int nextIndex()

### previous

public E previous()

### previousIndex

public int previousIndex()